@if (edit) {
  <div class="flex-row">
    <sqtm-core-autocomplete-field
      class="full-width"
      [options]="options"
      [value]="transientValue"
      [size]="size"
      [placeholder]="placeholder"
      (valueChanged)="handleValueChanged($event)"
    >
    </sqtm-core-autocomplete-field>
    @if (mustShowButtons()) {
      <div class="flex-fixed-size">
        <button
          nz-button
          nzType="primary"
          [attr.data-test-button-id]="'confirm'"
          [ngClass]="getConfirmButtonCss()"
          [nzSize]="size"
          [nzLoading]="pending"
          (click)="confirm()"
        >
          <i nz-icon [nzType]="'check'"></i>
          @if (mustShowButtonLabels()) {
            {{ 'sqtm-core.generic.label.confirm' | translate | capitalize }}
          }
        </button>
      </div>
    }
    @if (mustShowButtons()) {
      <div class="flex-fixed-size">
        <button
          nz-button
          nzType="default"
          [attr.data-test-button-id]="'cancel'"
          [nzSize]="size"
          [ngClass]="getCancelButtonCss()"
          [nzLoading]="pending"
          (click)="cancel()"
        >
          <i nz-icon [nzType]="'close'"></i>
          @if (mustShowButtonLabels()) {
            {{ 'sqtm-core.generic.label.cancel' | translate | capitalize }}
          }
        </button>
      </div>
    }
  </div>
} @else {
  <div [ngClass]="getComponentClasses()" class="flex">
    <span
      class="text-ellipsis"
      nz-tooltip
      [sqtmCoreLabelTooltip]="displayValue"
      nzTooltipPlacement="topCenter"
      (click)="enableEditMode()"
    >
      {{ displayValue }}
    </span>
    @if (editable) {
      <i
        class="caret-icon flex-fixed-size"
        nz-icon
        nzType="caret-down"
        nzTheme="outline"
        (click)="enableEditMode()"
      ></i>
    }
  </div>
}
